Package com.xebialabs.xlrelease.serialization.json.xltype

# Class XlrPasswordEncryptingCiConverter

java.lang.Object
com.xebialabs.xltype.serialization.ConfigurationItemConverter
com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter
com.xebialabs.xlrelease.serialization.json.xltype.XlrPasswordEncryptingCiConverter

public class XlrPasswordEncryptingCiConverter extends com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter
CiConverter which does or does not decrypt the passwords read from the json based on encrypter.

Use NonDecryptingPasswordEncrypter to not decrypt the password Use NullPasswordEncrypter to keep value for password as it is.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XlrPasswordEncryptingCiConverter(com.xebialabs.deployit.util.PasswordEncrypter passwordEncrypter)`
  `XlrPasswordEncryptingCiConverter(com.xebialabs.deployit.util.PasswordEncrypter passwordEncrypter, List<ConfigurationItem> targetConfigurationItems, ResolveOptions resolveOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ConfigurationItem`
  `createConfigurationItem(com.xebialabs.xltype.serialization.CiReader reader)`
  `protected void`
  `readProperty(com.xebialabs.xltype.serialization.CiReader reader, Descriptor descriptor, ConfigurationItem configurationItem)`
  `protected void`
  `readStringProperty(ConfigurationItem configurationItem, PropertyDescriptor propertyDescriptor, com.xebialabs.xltype.serialization.CiReader reader)`
  `void`
  `resolveReferences(Repository repository)`

  ### Methods inherited from class com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter

  `readCollectionOfStringProperty, readMapStringStringProperty, writeCollectionOfCiProperty, writeCollectionOfStringProperty, writeMapStringStringProperty, writeStringProperty`

  ### Methods inherited from class com.xebialabs.xltype.serialization.ConfigurationItemConverter

  `getIdOfCi, getReadCIs, getReferences, readCi, readCiProperty, readCis, readCisOrReferences, readCollectionOfCiProperty, readProperties, resolveReferences, setReadValidationMessages, setWriteValidationMessages, type, writeCi, writeCi, writeCiProperty, writeCis, writeCis, writeLookupValues, writeProperties, writeProperty, writeValidationMessages`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XlrPasswordEncryptingCiConverter

    public XlrPasswordEncryptingCiConverter(com.xebialabs.deployit.util.PasswordEncrypter passwordEncrypter)

  - ### XlrPasswordEncryptingCiConverter

    public XlrPasswordEncryptingCiConverter(com.xebialabs.deployit.util.PasswordEncrypter passwordEncrypter, List<ConfigurationItem> targetConfigurationItems, ResolveOptions resolveOptions)

- ## Method Details

  - ### createConfigurationItem

    protected ConfigurationItem createConfigurationItem(com.xebialabs.xltype.serialization.CiReader reader)
    Overrides:
      `createConfigurationItem` in class `com.xebialabs.xltype.serialization.ConfigurationItemConverter`

  - ### readProperty

    protected void readProperty(com.xebialabs.xltype.serialization.CiReader reader, Descriptor descriptor, ConfigurationItem configurationItem)
    Overrides:
      `readProperty` in class `com.xebialabs.xltype.serialization.ConfigurationItemConverter`

  - ### readStringProperty

    protected void readStringProperty(ConfigurationItem configurationItem, PropertyDescriptor propertyDescriptor, com.xebialabs.xltype.serialization.CiReader reader)
    Overrides:
      `readStringProperty` in class `com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter`

  - ### resolveReferences

    public void resolveReferences(Repository repository)
    Overrides:
      `resolveReferences` in class `com.xebialabs.xltype.serialization.ConfigurationItemConverter`